| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
Audio_Spectrum_Analyzer.ino File Reference

Go to the source code of this file.

## Functions
static int8_t | restore_calibration ()
| Read stored calibration parameters from nonvolatile EEPROM on demo board. More...
static void | store_calibration ()
| Store measured calibration parameters to nonvolatile EEPROM on demo board. More...
static uint8_t | calibrate_voltage ()
| Calibrate ADC given two known inputs. More...
static void | setup ()
static void | loop ()
static void | display_menu ()
static void | settings ()
static void | analyze ()
static void | display_graph (float data)
static void | test ()

## Variables
static float | start
static float | stop
static float | step
const uint16_t | MISO_TIMEOUT = 1000
| The MISO timeout (ms) More...
static float | LTC2484_lsb = 9.3132258E-9
| Ideal LSB size, 5V/(2^29) for a 5V reference. More...
static int32_t | LTC2484_offset_code = 0
| Ideal offset. More...

## Function Documentation

## ◆ analyze()

static void analyze | ( |  | ) |
| static

Definition at line 90 of file Audio_Spectrum_Analyzer.ino.

## ◆ calibrate_voltage()

static uint8_t calibrate_voltage | ( |  | ) |
| static

Calibrate ADC given two known inputs.

Returns
  0 if successful, 1 if failure

Definition at line 277 of file Audio_Spectrum_Analyzer.ino.

## ◆ display_graph()

static void display_graph | ( | float | data | ) |
| static

Definition at line 188 of file Audio_Spectrum_Analyzer.ino.

## ◆ display_menu()

static void display_menu | ( |  | ) |
| static

Definition at line 63 of file Audio_Spectrum_Analyzer.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 34 of file Audio_Spectrum_Analyzer.ino.

## ◆ restore_calibration()

static int8_t restore_calibration | ( |  | ) |
| static

Read stored calibration parameters from nonvolatile EEPROM on demo board.

Returns
  0 if successful, 1 if failure

Definition at line 254 of file Audio_Spectrum_Analyzer.ino.

## ◆ settings()

static void settings | ( |  | ) |
| static

Definition at line 75 of file Audio_Spectrum_Analyzer.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 26 of file Audio_Spectrum_Analyzer.ino.

## ◆ store_calibration()

static void store_calibration | ( |  | ) |
| static

Store measured calibration parameters to nonvolatile EEPROM on demo board.

Definition at line 330 of file Audio_Spectrum_Analyzer.ino.

## ◆ test()

static void test | ( |  | ) |
| static

Definition at line 205 of file Audio_Spectrum_Analyzer.ino.

## Variable Documentation

## ◆ LTC2484_lsb

float LTC2484_lsb = 9.3132258E-9
| static

Ideal LSB size, 5V/(2^29) for a 5V reference.

Definition at line 23 of file Audio_Spectrum_Analyzer.ino.

## ◆ LTC2484_offset_code

int32_t LTC2484_offset_code = 0
| static

Ideal offset.

Definition at line 24 of file Audio_Spectrum_Analyzer.ino.

## ◆ MISO_TIMEOUT

const uint16_t MISO_TIMEOUT = 1000

The MISO timeout (ms)

Definition at line 20 of file Audio_Spectrum_Analyzer.ino.

## ◆ start

float start
| static

Definition at line 19 of file Audio_Spectrum_Analyzer.ino.

## ◆ step

float step
| static

Definition at line 19 of file Audio_Spectrum_Analyzer.ino.

## ◆ stop

float stop
| static

Definition at line 19 of file Audio_Spectrum_Analyzer.ino.